Package ru.bitel.oss.kernel.entity.server.bean

# Class EntityAttrDaoSupport

java.lang.Object
ru.bitel.oss.kernel.entity.server.bean.EntityAttrDaoSupport

Direct Known Subclasses:
  `InetDeviceEntityAttrDaoSupport`, `InetServEntityAttrDaoSupport`, `InvDeviceEntityAttrDaoSupport`, `TvDeviceEntityAttrDaoSupport`, `VoiceAccountEntityAttrDaoSupport`, `VoiceDeviceEntityAttrDaoSupport`

public class EntityAttrDaoSupport extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntityAttrDaoSupport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `beanIdName()`
  `String`
  `defaultValueName()`
  `String`
  `idName()`
  `boolean`
  `isHistorySupported()`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrAddressDao`
  `newAddressDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrBooleanDao`
  `newBooleanDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrContractDao`
  `newContractDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrDateDao`
  `newDateDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrEmailDao`
  `newEmailDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrHouseDao`
  `newHouseDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrIntDao`
  `newIntDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrListDao`
  `newListDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `EntityAttrMultiListDao`
  `newMultiListDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrPhoneDao`
  `newPhoneDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `EntityAttrServicingPersonDao`
  `newServicingPersonDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `ru.bitel.oss.kernel.entity.server.bean.EntityAttrTextDao`
  `newTextDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)`
  `String`
  `typeName()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrDaoSupport

    public EntityAttrDaoSupport()

- ## Method Details

  - ### isHistorySupported

    public boolean isHistorySupported()

  - ### defaultValueName

    public String defaultValueName()

  - ### idName

    public String idName()

  - ### beanIdName

    public String beanIdName()

  - ### typeName

    public String typeName()

  - ### newTextDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrTextDao newTextDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newIntDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrIntDao newIntDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newListDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrListDao newListDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newDateDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrDateDao newDateDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newHouseDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrHouseDao newHouseDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newAddressDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrAddressDao newAddressDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newEmailDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrEmailDao newEmailDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newContractDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrContractDao newContractDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newBooleanDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrBooleanDao newBooleanDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newPhoneDao

    public ru.bitel.oss.kernel.entity.server.bean.EntityAttrPhoneDao newPhoneDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newMultiListDao

    public EntityAttrMultiListDao newMultiListDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)

  - ### newServicingPersonDao

    public EntityAttrServicingPersonDao newServicingPersonDao(Connection con, AbstractEntityAttrDao<?> entityAttrDao)